# deblob - Remove binary executables ("blobs") from a directory

The `deblob` utility cleans a directory from binary executables ("blobs").
Useful to clean a source tree to make sure it fully builds from source.

See the `deblob.1` manpage for more information.
(Rendered at <https://hacktivis.me/git/deblob.mdoc/>)

Project permalink: <https://hacktivis.me/projects/deblob>

## Dependencies
### Common
- hare 0.24+
- POSIX.1-2024 make (supported by GNU make, *BSD make, pdpmake, …)

### tests
- `ar`
- C Compiler
- [deblob-test](https://hacktivis.me/git/deblob-test/) as submodule

### linting
Those are only needed during development.
- mandoc
- reuse

### re-formatting
- [black](https://pypi.org/project/black/) for re-formatting python files

<!--
SPDX-FileCopyrightText: 2019 deblob Authors <https://hacktivis.me/projects/deblob>
SPDX-License-Identifier: BSD-3-Clause
-->
